Bug 593565 - libvirt doesn't sanitize pool target paths, causes issues with virt-manager
Summary: libvirt doesn't sanitize pool target paths, causes issues with virt-manager
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 07:17 UTC by Nan Zhang
Modified: 2010-11-11 14:49 UTC (History)
7 users (show)

Fixed In Version: libvirt-0_8_1-8_el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 14:49:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
Sanitize pool target paths (mail message, misplaced the original patch!) (8.99 KB, text/plain)
2010-05-28 19:34 UTC, Cole Robinson
no flags Details

Description Nan Zhang 2010-05-19 07:17:35 UTC
Description of problem:
As summary.

Version-Release number of selected component (if applicable):
virt-manager-0.8.4-2.el6.noarch
libvirt-0.8.1-4.el6.x86_64
python-virtinst-0.500.3-2.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a pool named 'VirtualMachines', path to '/var/lib/libvirt/images/',
and set the state with 'Active'.
2. Create a new VM, and proceeding to the dialog of disk image creation. 
3. Hit the 'Browse' button and manually create a storage volume.
4. Choosing created volume and hit 'Forward'.
  
Actual results:
Popup 'Input Error' dialog.

Expected results:
No error occurs.

Additional info:

Comment 2 Cole Robinson 2010-05-20 16:06:14 UTC
We can try to work around this in virt-manager, but this is mostly a libvirt issue with not sanitizing pool target paths. I've posted an upstream libvirt patch to fix this:

https://www.redhat.com/archives/libvir-list/2010-May/msg00748.html

Re-assigning to libvirt.

Comment 3 RHEL Program Management 2010-05-20 17:46:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Cole Robinson 2010-05-28 19:34:13 UTC
Created attachment 417727 [details]
Sanitize pool target paths (mail message, misplaced the original patch!)

Comment 5 Dave Allan 2010-06-10 21:33:24 UTC
libvirt-0_8_1-8_el6 has been built in RHEL-6-candidate with the fix.

Dave

Comment 6 LiZhang Li 2010-06-13 05:20:09 UTC
Verified under libvirt-0.8.1-8.el6 using virt-manager-0.8.4-3.el6.noarch

Comment 7 releng-rhel@redhat.com 2010-11-11 14:49:15 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.